> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/object-editors/scripting-editor/tips-and-shortcuts.md).

# Script Editor Tips and Shortcuts

## Overview

This section provides a useful list of keyboard shortcuts and tips to enhance productivity within the Servoy Scripting Editor. It includes shortcuts for moving lines, highlighting code blocks, formatting code, commenting lines, enabling code folding, quick navigation, and performing searches. These tips and shortcuts are designed to streamline the coding process, making it more efficient and intuitive.

## Keyboard shortcuts

Below is a list of Script Editor keyboard shortcuts:

* `Alt-Up/Down`: moves selected rows up and down
* Double-click after opening bracket (or before closing bracket): highlights the code between the brackets and scrolls the matching bracket into view if applicable. Works for `{}`, `()`, `[]`, `''` and `""`
* `Control-Shift-F`: formats the selected code
* `Control-/`: (un)comments the selected/current line using `//`
* `Control-Shift-/`: (un)comments the selected/current line using `/....`
* `Control-Numpad_Divide`: enable folding
* `Control-Numpad_Multiply`: expand all
* `Control-Shift-Numpad_Divide`: collapse folding
* `Alt-Shift-K`: look for a Object by name (form, relation, valuelist, method etc)
* `Control-Shift-L`: show shortcut list
* `Control-H`: file-based search in workspace
* `Control-O`: quick outline for the current editor
* `Control-L`: jump to linenumber


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/object-editors/scripting-editor/tips-and-shortcuts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
